<?php
/**
 * Template for Shop
 *
 * @package Live Composer - WooCommerce integration
 */

// Prevent direct access to the file.
if ( ! defined( 'ABSPATH' ) ) {
	header( 'HTTP/1.0 403 Forbidden' );
	exit;
}

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header();

$args = array(
	'post_type' => 'dslc_templates',
	'post_status' => 'publish',
	'posts_per_page' => 1,
	'meta_query' => array(
		array(
			'key' => 'dslc_template_for',
			'value' => 'woo-shop',
			'compare' => '=',
		),
		array(
			'key' => 'dslc_template_type',
			'value' => 'default',
			'compare' => '=',
		),
	),
	'order' => 'DESC',
);
$tpls = get_posts( $args );

$template_post_id = $tpls[0]->ID;

$args = array(
	'page_id' => $template_post_id,
	'post_type' => 'dslc_templates',
);
$loop = new WP_Query( $args );

if ( $loop->have_posts() ) : while ( $loop->have_posts() ) : $loop->the_post();
	the_content();
endwhile; endif; wp_reset_query();

$composer_code = get_post_meta( $template_post_id, 'dslc_code', true );
echo dslc_custom_css( $composer_code );

$url = admin_url( 'admin.php?page=livecomposer_editor&page_id=' . $template_post_id);
?>
<script type="text/javascript">
	jQuery(document).ready(function ($) {
		jQuery('.dslca-activate-composer-hook').attr("href", "<?php echo $url; ?>");
		jQuery('.dslca-activate-composer-hook').attr("target", "_blank");
		jQuery('.dslca-activate-composer-hook').html('EDIT TEMPLATE');
	});
</script>
<?php

get_footer();
